### Method

# Ide Task return_object

#### Declaration

    void
    ide_task_return_object (
      IdeTask* self,
      GObject* instance
    )

#### Description

Returns a new object instance.

Takes ownership of `instance` to allow saving a reference increment and decrement by the caller.

Available since: | 3.32

#### Parameters

`instance` | `GObject`
| A `GObject` instance.
| The instance takes ownership of the data, and is responsible for freeing it.